#!/usr/local/bin/python

# Demonstrates how to:
# - generate alternately coloured table rows.


from HTMLTemplate import Template

#######
# Support

def makeBooleanGen():
	"""Returns a generator that produces a False, True, False, ... sequence."""
	e = False
	while True:
		yield e
		e = not e

#######
# Template

html = """<table>
<tr node="rep:row" bgcolor="#FFC">...</tr>
</table>"""

def renderTemplate(node, rows):
	node.row.repeat(renderRow, rows, makeBooleanGen())

def renderRow(node, row, isEven):
	node.atts['bgcolor'] = ('#FFC', '#FCF')[isEven.next()]

#######
# Test

someList = range(10)
print Template(renderTemplate, html).render(someList)

